Package com.massivecraft.factions.cmd.tnt

## Class CmdTnt

- java.lang.Object
- - com.massivecraft.factions.cmd.FCommand
  - - com.massivecraft.factions.cmd.tnt.CmdTnt

-     public class CmdTnt
      extends FCommand

- - ### Field Summary

    - ### Fields inherited from class com.massivecraft.factions.cmd.FCommand

      `aliases, helpLong, optionalArgs, requiredArgs, requirements, sdf, subCommands, visibility`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CmdTnt()` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `TL` | `getUsageTranslation()` |
    `boolean` | `hasAvaliableSlot​(org.bukkit.entity.Player player, int howmany)` |
    `boolean` | `inventoryContains​(org.bukkit.inventory.Inventory inventory, org.bukkit.inventory.ItemStack item)` |
    `void` | `perform​(CommandContext context)` |
    `void` | `removeFromInventory​(org.bukkit.inventory.Inventory inventory, org.bukkit.inventory.ItemStack item)` |

    - ### Methods inherited from class com.massivecraft.factions.cmd.FCommand

      `addSubCommand, execute, getHelpShort, getToolTips, getToolTips, getUsageTemplate, getUsageTemplate, isEnabled, replaceFactionTags, replaceFPlayerTags, setHelpShort, validArgs, validCall`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CmdTnt

          public CmdTnt()

  - ### Method Detail

    - #### perform

          public void perform​(CommandContext context)

      Specified by:
        `perform` in class `FCommand`

    - #### inventoryContains

          public boolean inventoryContains​(org.bukkit.inventory.Inventory inventory,
                                           org.bukkit.inventory.ItemStack item)

    - #### hasAvaliableSlot

          public boolean hasAvaliableSlot​(org.bukkit.entity.Player player,
                                          int howmany)

    - #### removeFromInventory

          public void removeFromInventory​(org.bukkit.inventory.Inventory inventory,
                                          org.bukkit.inventory.ItemStack item)

    - #### getUsageTranslation

          public TL getUsageTranslation()

      Specified by:
        `getUsageTranslation` in class `FCommand`